<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ButtonBar?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="co.edu.udea.tecnicas.mascotas.controller.RegistrarMascotaController">
   <children>
      <VBox prefHeight="200.0" prefWidth="100.0">
         <children>
            <Label maxWidth="1.7976931348623157E308" text="REGISTRO DE MASCOTAS" textAlignment="CENTER">
               <VBox.margin>
                  <Insets left="10.0" />
               </VBox.margin>
            </Label>
            <GridPane>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
              </columnConstraints>
              <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Label text="Id:" />
                  <Label text="Raza:" GridPane.rowIndex="1" />
                  <Label text="Nombre:" GridPane.rowIndex="2" />
                  <Label text="Tipo:" GridPane.rowIndex="3" />
                  <TextField fx:id="txtId" GridPane.columnIndex="1" />
                  <TextField fx:id="txtRaza" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                  <TextField fx:id="txtNombre" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                  <TextField fx:id="txtTipo" GridPane.columnIndex="1" GridPane.rowIndex="3" />
               </children>
               <VBox.margin>
                  <Insets left="10.0" />
               </VBox.margin>
            </GridPane>
            <ButtonBar prefHeight="40.0" prefWidth="200.0">
              <buttons>
                <Button mnemonicParsing="false" text="Limpiar" onAction="#limpiarCampos" />
                  <Button mnemonicParsing="false" onAction="#btnGuardar_action" text="Guardar" />
              </buttons>
            </ButtonBar>
         </children>
      </VBox>
   </children>
</AnchorPane>
